# Uses of Interface
org.eclipse.birt.chart.model.attribute.Location

Packages that use Location
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Location in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Location
Modifier and Type
Method
Description
`static final Location`
Methods.`computeRotatedTopPoint(IDisplayServer xs, BoundingBox bbox, Label la, double fullHeight)`
`Location`
GObjectFactory.`createLocation(double dX, double dY)`
`Location`
IGObjectFactory.`createLocation(double dX, double dY)`
`Location[]`
GObjectFactory.`createLocations(double[] xa, double[] ya)`
`Location[]`
IGObjectFactory.`createLocations(double[] xa, double[] ya)`
`final Location`
DataPointHints.`getLocation()`
Returns the location value of current DataPointHintes.
`Location[]`
Object3D.`getPoints2D(double xOffset, double yOffset)`
Returns the projected 2D coordinates for this object
Constructors in org.eclipse.birt.chart.computation with parameters of type Location
Modifier
Constructor
Description
``
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double[] _dSize, RunTimeContext _rtc)`
The constructor.
``
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double _dSize, RunTimeContext _rtc)`
DataPointHints constructor.
``
`Point(Location lo)`

## Uses of Location in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Location
Modifier and Type
Method
Description
`final Location`
PlotWith3DAxes.`getPanningOffset()`

## Uses of Location in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type Location
Modifier and Type
Method
Description
`void`
ITextRenderer.`renderShadowAtLocation(IPrimitiveRenderer idr, int iLabelPosition, Location lo, Label la)`
This method renders the 'shadow' at an offset from the text 'rotated rectangle' subsequently rendered.
`void`
TextRendererAdapter.`renderShadowAtLocation(IPrimitiveRenderer idr, int labelPosition, Location lo, Label la)`
`void`
ITextRenderer.`renderTextAtLocation(IPrimitiveRenderer ipr, int iLabelPosition, Location lo, Label la)`
`void`
TextRendererAdapter.`renderTextAtLocation(IPrimitiveRenderer ipr, int labelPosition, Location lo, Label la)`

## Uses of Location in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Location
Modifier and Type
Method
Description
`final Location`
LineRenderEvent.`getEnd()`
`Location`
ImageRenderEvent.`getLocation()`
`final Location`
TextRenderEvent.`getLocation()`
`final Location[]`
PolygonRenderEvent.`getPoints()`
`final Location`
LineRenderEvent.`getStart()`
`final Location`
ArcRenderEvent.`getTopLeft()`
`Location[]`
ClipRenderEvent.`getVertices()`
Methods in org.eclipse.birt.chart.event with parameters of type Location
Modifier and Type
Method
Description
`final void`
LineRenderEvent.`setEnd(Location _loEnd)`
Sets the end location of the line.
`void`
ImageRenderEvent.`setLocation(Location loc)`
Sets the location of the image.
`final void`
TextRenderEvent.`setLocation(Location lo)`
Sets the location of the text.
`final void`
PolygonRenderEvent.`setPoints(Location[] la)`
Sets the co-ordinates for each point that defines the polygon.
`final void`
LineRenderEvent.`setStart(Location _loStart)`
Sets the start location of the line.
`final void`
ArcRenderEvent.`setTopLeft(Location loTopLeft)`
Sets the top-left location of the containing bounds.
`void`
ClipRenderEvent.`setVertices(Location[] loa)`
Sets the vertices of the clip.

## Uses of Location in org.eclipse.birt.chart.model.attribute

Subinterfaces of Location in org.eclipse.birt.chart.model.attribute
Modifier and Type
Interface
Description
`interface`
`Location3D`
A representation of the model object 'Location3 D'.
Methods in org.eclipse.birt.chart.model.attribute that return Location
Modifier and Type
Method
Description
`Location`
Location.`copyInstance()`
`Location`
AttributeFactory.`createLocation()`
Returns a new object of class 'Location'.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type Location
Modifier and Type
Method
Description
`boolean`
Bounds.`contains(Location lo)`
Returns if the given point is within this bounds.
`void`
Bounds.`updateFrom(Location[] loa)`
Updates an existing Bounds instance to encompass the polygon specified by a given set of points

## Uses of Location in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Location
Modifier and Type
Class
Description
`class`
`Location3DImpl`
An implementation of the model object 'Location3 D'.
`class`
`LocationImpl`
An implementation of the model object ' Location'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Location
Modifier and Type
Method
Description
`Location`
LocationImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Location[]`
LocationImpl.`create(double[] xa, double[] ya)`
`static final Location`
LocationImpl.`create(double dX, double dY)`
`Location`
AttributeFactoryImpl.`createLocation()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Location
Modifier and Type
Method
Description
`boolean`
BoundsImpl.`contains(Location lo)`
`static double[]`
LocationImpl.`getXArray(Location[] loc)`
`static double[]`
LocationImpl.`getYArray(Location[] loc)`
`void`
BoundsImpl.`updateFrom(Location[] loa)`

## Uses of Location in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Location
Modifier and Type
Method
Description
`static List<double[]>`
CurveRenderer.`generateCurvePoints(BaseRenderer _render, Location[] loPoints, boolean connectMissingValue, double fXOffset, double fYOffset)`
Generates the points of curve line.
`static final double`
BaseRenderer.`getX(Location[] loa, int iProperty)`
Finds particular X value from given location list.
`static final double`
BaseRenderer.`getY(Location[] loa, int iProperty)`
Finds particular Y value from given location list.
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo)`
This convenience method renders the data point label along with the shadow If there's a need to render the data point label and the shadow separately, each call should be made separately by calling into the primitive rendering interface directly.
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo, DeferredCache _dc)`
Renderer label with specified `DeferredCache`.
Constructors in org.eclipse.birt.chart.render with parameters of type Location
Modifier
Constructor
Description
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, boolean _bShowAsTape, double _tapeWidth, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, double _zeroLocation, boolean _bShowAsTape, double _tapeWidth, boolean _bFillArea, boolean _bTranslucent, boolean _bUseLastState, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed)`
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed, int _zOrder)`
The constructor.